Subject: bug#32952: "make check-system" fails to report record-abi-mismatch-error

From: Chris Marusich <[email-masked]>
Date: Sat, 27 Oct 2018 12:18:18 -0700

[email-masked] (Ludovic Courtès) writes:

> Commit de5cbd4a38a33e0412f1c481fe8e01a871dc13e5 changed the arguments
> passed along ‘record-abi-mismatch-error’ exceptions precisely to fix the
> problem you report I believe.  :-)
>
> What’s probably happening here is that you have a .go file built before
> this commit, which is why it’s passing only on argument (the record
> type) along the ‘record-abi-mismatch-error’ exception.
>
> Does that make sense?

Yes, this makes sense!  You were right: this was the problem.

I forgot about this bug report, but I can confirm that it is now
resolved.  Thank you for closing it, and for your help!

-- 
Chris